import { Locator } from "playwright-core";
import { Atom } from "../../atom";
import { CheckboxAtom } from "../checkbox/checkbox.atom";
export declare class CheckboxGroupAtom extends Atom {
    static CSS_CLASS: string;
    get checkboxes(): CheckboxAtom;
    getCheckbox(title: string): CheckboxAtom;
    getCheckboxByIndex: (index: number) => CheckboxAtom;
    getFirst: () => Locator;
    isDisabled(): Promise<boolean>;
    toBeDisabled(): Promise<void>;
    toBeEnabled(): Promise<void>;
}
